| Python Script Engine 8.3 GL Studio Editor Python Script API

Public Member Functions | List of all members
GlsColor Class Reference

## Public Member Functions
| GlsColor ()
| GlsColor (unsigned char r, unsigned char g, unsigned char b, unsigned char a=255)
void | R (unsigned char val)
void | G (unsigned char val)
void | B (unsigned char val)
void | A (unsigned char val)
unsigned char | R (void) const
unsigned char | G (void) const
unsigned char | B (void) const
unsigned char | A (void) const

## Detailed Description

Python extension for the GlsColor editor class (was formerly glsColor, which still exists for backwards compatiblity)

Since
  GL Studio 6.2.1

## Constructor & Destructor Documentation

## ◆ GlsColor() [1/2]

GlsColor::GlsColor | ( |  | ) |

Default Constructor.

## ◆ GlsColor() [2/2]

GlsColor::GlsColor | ( | unsigned char | r,
|  | unsigned char | g,
|  | unsigned char | b,
|  | unsigned char | a = `255`
| ) |  |

Construct a color from red, green, blue, and optionally alpha values.

## Member Function Documentation

## ◆ A() [1/2]

void GlsColor::A | ( | unsigned char | val | ) |

Set the Alpha component of this color.

Parameters

  val | The new value for the component

## ◆ A() [2/2]

unsigned char GlsColor::A | ( | void |  | ) | const

Returns
  The Alpha component of this color

## ◆ B() [1/2]

void GlsColor::B | ( | unsigned char | val | ) |

Set the Blue component of this color.

Parameters

  val | The new value for the component

## ◆ B() [2/2]

unsigned char GlsColor::B | ( | void |  | ) | const

Returns
  The Blue component of this color

## ◆ G() [1/2]

void GlsColor::G | ( | unsigned char | val | ) |

Set the Green component of this color.

Parameters

  val | The new value for the component

## ◆ G() [2/2]

unsigned char GlsColor::G | ( | void |  | ) | const

Returns
  The Green component of this color

## ◆ R() [1/2]

void GlsColor::R | ( | unsigned char | val | ) |

Set the Red component of this color.

Parameters

  val | The new value for the component

## ◆ R() [2/2]

unsigned char GlsColor::R | ( | void |  | ) | const

Returns
  The Red component of this color

The documentation for this class was generated from the following file:

- glsColor.i